Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.hub.session.impl
Class HubServiceCompleteImpl

    java.lang.Object
      be.ehealth.businessconnector.hub.session.impl.HubServiceCompleteImpl

All Implemented Interfaces:
  HubServiceComplete

    public class HubServiceCompleteImpl

extends Object
implements HubServiceComplete

This class is a `HubService` that will return the WS response object directly, so that you can retrieve the full error messages, codes,... received from the WS. See `HubService` for further information

Pre-requisites

- An active and valid eHealth-platform session (initiated via the Session Management component)
- Hub configuration

Implementation of `HubServiceComplete`

Constructor Summary
`HubServiceCompleteImpl(SessionValidator sessionValidator)` Instantiates a new Hub Service.

Method Summary
`DeclareTransactionResponse` | `declareTransaction(KmehrHeaderDeclareTransaction kmehrHeader)` This operation should be used to declare a transaction within a hub.
`GetAccessRightResponse` | `getAccessRight(TransactionIdType transaction)` This operation should be used to get access rights on a transaction within a hub.
`GetHCPartyResponse` | `getHCParty(HCPartyIdType hcParty)` This operation should be used to retrieve the data associated with a healthcare party within a hub.
`GetHCPartyConsentResponse` | `getHCPartyConsent(HCPartyIdType hcPartyId)` This operation should be used to retrieve the consent of a healthcare party within a hub.
`GetPatientResponse` | `getPatient(PatientIdType patientId)` This operation should be used to declare the consent of an healthcare party within a hub.
`GetPatientAuditTrailResponse` | `getPatientAuditTrail(SelectGetPatientAuditTrailType patientAuditTrail)` This operation should be used to get the list of transaction accesses for a given patient.
`GetPatientConsentResponse` | `getPatientConsent(SelectGetPatientConsentType patientConsent)` This operation should be used to retrieve the consent of a patient within a hub.
`GetTherapeuticLinkResponse` | `getTherapeuticLink(SelectGetHCPartyPatientConsentType patientConsent)` This operation should be used to get therapeutic link between a patient and a healthcare party within a hub.
`GetTransactionResponse` | `getTransaction(PatientIdType patient, TransactionBaseType transaction)` This operation should be used to retrieve a transaction (given a transaction identifier) within a hub.
`GetTransactionListResponse` | `getTransactionList(PatientIdType patient, LocalSearchType searchType, TransactionWithPeriodType transaction)` This operation should be used to get the list of available transactions that fulfill some given criteria.
`PutAccessRightResponse` | `putAccessRight(AccessRightType accessRight)` This operation should be used to put an access right on a transaction within a hub.
`PutHCPartyResponse` | `putHCParty(HCPartyAdaptedType hcParty)` This operation should be used to create a healthcare party within a hub.
`PutHCPartyConsentResponse` | `putHCPartyConsent(ConsentHCPartyType consent)` This operation should be used to declare the consent of an healthcare party within a hub.
`PutPatientResponse` | `putPatient(PersonType patient)` This operation should be used to create a patient within a hub.
`PutPatientConsentResponse` | `putPatientConsent(ConsentType patientConsent)` This operation should be used to declare the consent of a patient within a hub.
`PutTherapeuticLinkResponse` | `putTherapeuticLink(TherapeuticLinkType therapeuticLink)` This operation should be used to declare therapeutic link between a patient and a healthcare party within a hub.
`PutTransactionResponse` | `putTransaction(Kmehrmessage kmehrHeader)` This operation should be used to declare and to store a given transaction within a hub.
`RequestPublicationResponse` | `requestPublication(PatientIdType patient, TransactionWithPeriodType transaction, String comment)` This operation allows a healthcare party to ask to another healthcare party to publish documents related to a patient.
`RevokeAccessRightResponse` | `revokeAccessRight(SelectRevokeAccessRightType accessRight)` This operation should be used to revoke access right on a transaction within a hub.
`RevokeHCPartyConsentResponse` | `revokeHCPartyConsent(ConsentHCPartyType consent)` This operation should be used to revoke the consent of a healthcare party within a hub.
`RevokePatientConsentResponse` | `revokePatientConsent(ConsentType patientConsent)` This operation should be used to revoke the consent of a patient within a hub.
`RevokeTherapeuticLinkResponse` | `revokeTherapeuticLink(TherapeuticLinkType therapeuticLink)` This operation should be used to revoke a therapeutic link between a patient and a healthcare party within a hub.
`RevokeTransactionResponse` | `revokeTransaction(PatientIdType patient, TransactionIdType transaction)` This operation should be used to 'unpublish' a given transaction.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HubServiceCompleteImpl

    public HubServiceCompleteImpl(SessionValidator sessionValidator)
                           throws TechnicalConnectorException,
                                  IntraHubBusinessConnectorException

  Instantiates a new Hub Service.

  Parameters:
    `sessionValidator` - the session validator
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

Method Detail

### declareTransaction

    public DeclareTransactionResponse declareTransaction(KmehrHeaderDeclareTransaction kmehrHeader)
                                                  throws TechnicalConnectorException,
                                                         IntraHubBusinessConnectorException

  This operation should be used to declare a transaction within a hub.

  Specified by:
    `declareTransaction` in interface `HubServiceComplete`
  Parameters:
    `kmehrHeader` - A Kmehr message formatted as XML String containing a Patient and a Transaction.
  Returns:
    `DeclareTransactionResponse` the WS response object
  Throws:
    `SessionManagementException`
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException`

### putTransaction

    public PutTransactionResponse putTransaction(Kmehrmessage kmehrHeader)
                                          throws TechnicalConnectorException,
                                                 IntraHubBusinessConnectorException

  This operation should be used to declare and to store a given transaction within a hub.

  Specified by:
    `putTransaction` in interface `HubServiceComplete`
  Parameters:
    `kmehrHeader` - A Kmehr message formatted as XML String containing a Patient and a Transaction.
  Returns:
    `PutTransactionResponse` the WS response object
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException`

### revokeTransaction

    public RevokeTransactionResponse revokeTransaction(PatientIdType patient,
                                                       TransactionIdType transaction)
                                                throws TechnicalConnectorException,
                                                       IntraHubBusinessConnectorException

  This operation should be used to 'unpublish' a given transaction.

  Specified by:
    `revokeTransaction` in interface `HubServiceComplete`
  Parameters:
    `patient` - Patient for which to revoke the transaction.
    `transaction` - Transaction to revoke.
  Returns:
    `RevokeTransactionResponse` the WS response object
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException`

### getTransactionList

    public GetTransactionListResponse getTransactionList(PatientIdType patient,
                                                         LocalSearchType searchType,
                                                         TransactionWithPeriodType transaction)
                                                  throws TechnicalConnectorException,
                                                         IntraHubBusinessConnectorException

  This operation should be used to get the list of available transactions that fulfill some given criteria.

  Specified by:
    `getTransactionList` in interface `HubServiceComplete`
  Parameters:
    `patient` - Patient for which to retrieve the transaction list.
    `searchType` - The search type (local or national)
    `transaction` - Transaction types to search.
  Returns:
    `GetTransactionListResponse` the WS response object
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### getTransaction

    public GetTransactionResponse getTransaction(PatientIdType patient,
                                                 TransactionBaseType transaction)
                                          throws TechnicalConnectorException,
                                                 IntraHubBusinessConnectorException

  This operation should be used to retrieve a transaction (given a transaction identifier) within a hub.

  Specified by:
    `getTransaction` in interface `HubServiceComplete`
  Parameters:
    `patient` - Patient for which to retrieve the transaction.
    `transaction` - Transaction identification
  Returns:
    `GetTransactionResponse` the WS response object
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### requestPublication

    public RequestPublicationResponse requestPublication(PatientIdType patient,
                                                         TransactionWithPeriodType transaction,
                                                         String comment)
                                                  throws TechnicalConnectorException,
                                                         IntraHubBusinessConnectorException

  This operation allows a healthcare party to ask to another healthcare party to publish documents related to a patient.

  Specified by:
    `requestPublication` in interface `HubServiceComplete`
  Parameters:
    `patient` - The Patient for who the publication is.
    `transaction` - Transaction types and Health Care Parties
    `comment` - Comment
  Returns:
    `RequestPublicationResponse` the WS response object
  Throws:
    `IntraHubBusinessConnectorException`
    `SessionManagementException`
    `TechnicalConnectorException` - the technical connector exception

### getHCParty

    public GetHCPartyResponse getHCParty(HCPartyIdType hcParty)
                                  throws TechnicalConnectorException,
                                         IntraHubBusinessConnectorException

  This operation should be used to retrieve the data associated with a healthcare party within a hub.

  Specified by:
    `getHCParty` in interface `HubServiceComplete`
  Parameters:
    `hcParty` - This is the NIHII or SSIN number according to the type of healthcare party. Other local identifiers are allowed.
  Returns:
    `GetHCPartyResponse` the WS response object
  Throws:
    `IntraHubBusinessConnectorException`
    `SessionManagementException`
    `TechnicalConnectorException` - the technical connector exception

### putHCParty

    public PutHCPartyResponse putHCParty(HCPartyAdaptedType hcParty)
                                  throws TechnicalConnectorException,
                                         IntraHubBusinessConnectorException

  This operation should be used to create a healthcare party within a hub. It can also be used to update the information about this healthcare party.

  Specified by:
    `putHCParty` in interface `HubServiceComplete`
  Parameters:
    `hcParty` - Information about the healthcare party
  Returns:
    `PutHCPartyResponse` the WS response object
  Throws:
    `IntraHubBusinessConnectorException`
    `SessionManagementException`
    `TechnicalConnectorException` - the technical connector exception

### putHCPartyConsent

    public PutHCPartyConsentResponse putHCPartyConsent(ConsentHCPartyType consent)
                                                throws TechnicalConnectorException,
                                                       IntraHubBusinessConnectorException

  This operation should be used to declare the consent of an healthcare party within a hub.

  Specified by:
    `putHCPartyConsent` in interface `HubServiceComplete`
  Parameters:
    `consent` - A Consent containing a HCParty and the signature date.
  Returns:
    `PutHCPartyConsentResponse` the WS response object
  Throws:
    `IntraHubBusinessConnectorException`
    `SessionManagementException`
    `TechnicalConnectorException` - the technical connector exception

### getHCPartyConsent

    public GetHCPartyConsentResponse getHCPartyConsent(HCPartyIdType hcPartyId)
                                                throws TechnicalConnectorException,
                                                       IntraHubBusinessConnectorException

  This operation should be used to retrieve the consent of a healthcare party within a hub.

  Specified by:
    `getHCPartyConsent` in interface `HubServiceComplete`
  Parameters:
    `hcPartyId` - This is the NIHII or INSS number according to the type of healthcare party. Other local identifiers are allowed.
  Returns:
    `GetHCPartyConsentResponse` the WS response object
  Throws:
    `SessionManagementException`
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### revokeHCPartyConsent

    public RevokeHCPartyConsentResponse revokeHCPartyConsent(ConsentHCPartyType consent)
                                                      throws TechnicalConnectorException,
                                                             IntraHubBusinessConnectorException

  This operation should be used to revoke the consent of a healthcare party within a hub.

  Specified by:
    `revokeHCPartyConsent` in interface `HubServiceComplete`
  Parameters:
    `consent` - A Consent containing a HCParty and the signature date.
  Returns:
    `RevokeHCPartyConsentResponse` the WS response object
  Throws:
    `SessionManagementException`
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException`

### putPatient

    public PutPatientResponse putPatient(PersonType patient)
                                  throws TechnicalConnectorException,
                                         IntraHubBusinessConnectorException

  This operation should be used to create a patient within a hub. It can also be used to update the information about a patient.

  Specified by:
    `putPatient` in interface `HubServiceComplete`
  Parameters:
    `patient` - Information about a patient
  Returns:
    `PutPatientResponse` the WS response object
  Throws:
    `SessionManagementException`
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### getPatient

    public GetPatientResponse getPatient(PatientIdType patientId)
                                  throws TechnicalConnectorException,
                                         IntraHubBusinessConnectorException

  This operation should be used to declare the consent of an healthcare party within a hub.

  Specified by:
    `getPatient` in interface `HubServiceComplete`
  Parameters:
    `patientId` - Patient contains only the identifiers of the patient. Several identifiers of the same patient are allowed.
  Returns:
    `GetPatientResponse` the WS response object
  Throws:
    `SessionManagementException`
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### putPatientConsent

    public PutPatientConsentResponse putPatientConsent(ConsentType patientConsent)
                                                throws TechnicalConnectorException,
                                                       IntraHubBusinessConnectorException

  This operation should be used to declare the consent of a patient within a hub.

  Specified by:
    `putPatientConsent` in interface `HubServiceComplete`
  Parameters:
    `patientConsent` - Patient Consent data structure that contains signing date of the consent, scope of the consent, 'retrospective'/ 'prospective' attribute.
  Returns:
    `PutPatientConsentResponse` the WS response object
  Throws:
    `SessionManagementException`
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### getPatientConsent

    public GetPatientConsentResponse getPatientConsent(SelectGetPatientConsentType patientConsent)
                                                throws TechnicalConnectorException,
                                                       IntraHubBusinessConnectorException

  This operation should be used to retrieve the consent of a patient within a hub.

  Specified by:
    `getPatientConsent` in interface `HubServiceComplete`
  Parameters:
    `patientConsent` - Contains the Patient Identifiers and the scope of the consent
  Returns:
    `GetPatientConsentResponse` the WS response object
  Throws:
    `SessionManagementException`
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### revokePatientConsent

    public RevokePatientConsentResponse revokePatientConsent(ConsentType patientConsent)
                                                      throws TechnicalConnectorException,
                                                             IntraHubBusinessConnectorException

  This operation should be used to revoke the consent of a patient within a hub.

  Specified by:
    `revokePatientConsent` in interface `HubServiceComplete`
  Parameters:
    `patientConsent` - Patient Consent data structure that contains signing date of the consent, scope of the consent, 'retrospective' 'prospective' attribute.
  Returns:
    `RevokePatientConsentResponse` the WS response object
  Throws:
    `SessionManagementException`
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### putTherapeuticLink

    public PutTherapeuticLinkResponse putTherapeuticLink(TherapeuticLinkType therapeuticLink)
                                                  throws ConnectorException,
                                                         SessionManagementException

  This operation should be used to declare therapeutic link between a patient and a healthcare party within a hub.

  Specified by:
    `putTherapeuticLink` in interface `HubServiceComplete`
  Parameters:
    `therapeuticLink` - A Therapeutic link containing Patient Identifier, HCP identifier, Link type, link start date , link end date (optional), comment (optional)).
  Returns:
    `PutTherapeuticLinkResponse` the WS response object
  Throws:
    `SessionManagementException`
    `ConnectorException`

### getTherapeuticLink

    public GetTherapeuticLinkResponse getTherapeuticLink(SelectGetHCPartyPatientConsentType patientConsent)
                                                  throws ConnectorException

  This operation should be used to get therapeutic link between a patient and a healthcare party within a hub.

  Specified by:
    `getTherapeuticLink` in interface `HubServiceComplete`
  Parameters:
    `patientConsent` - Contains the Patient Identifiers and the scope of the consent
  Returns:
    `GetTherapeuticLinkResponse` the WS response object
  Throws:
    `ConnectorException`
    `SessionManagementException` - the session management exception

### revokeTherapeuticLink

    public RevokeTherapeuticLinkResponse revokeTherapeuticLink(TherapeuticLinkType therapeuticLink)
                                                        throws TechnicalConnectorException,
                                                               IntraHubBusinessConnectorException

  This operation should be used to revoke a therapeutic link between a patient and a healthcare party within a hub.

  Specified by:
    `revokeTherapeuticLink` in interface `HubServiceComplete`
  Parameters:
    `therapeuticLink` - the therapeutic link
  Returns:
    `RevokeTherapeuticLinkResponse` the WS response object
  Throws:
    `SessionManagementException`
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### putAccessRight

    public PutAccessRightResponse putAccessRight(AccessRightType accessRight)
                                          throws TechnicalConnectorException,
                                                 IntraHubBusinessConnectorException

  This operation should be used to put an access right on a transaction within a hub.

  Specified by:
    `putAccessRight` in interface `HubServiceComplete`
  Parameters:
    `accessRight` - the access right
  Returns:
    `PutAccessRightResponse` the WS response object
  Throws:
    `SessionManagementException`
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### getAccessRight

    public GetAccessRightResponse getAccessRight(TransactionIdType transaction)
                                          throws TechnicalConnectorException,
                                                 IntraHubBusinessConnectorException

  This operation should be used to get access rights on a transaction within a hub.

  Specified by:
    `getAccessRight` in interface `HubServiceComplete`
  Parameters:
    `transaction` - A transaction ID Type containing the Transaction Identifier.
  Returns:
    `GetAccessRightResponse` the WS response object
  Throws:
    `SessionManagementException`
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### revokeAccessRight

    public RevokeAccessRightResponse revokeAccessRight(SelectRevokeAccessRightType accessRight)
                                                throws TechnicalConnectorException,
                                                       IntraHubBusinessConnectorException

  This operation should be used to revoke access right on a transaction within a hub.

  Specified by:
    `revokeAccessRight` in interface `HubServiceComplete`
  Parameters:
    `accessRight` - Contains a transaction and a HC Party
  Returns:
    `RevokeAccessRightResponse` the WS response object
  Throws:
    `SessionManagementException`
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### getPatientAuditTrail

    public GetPatientAuditTrailResponse getPatientAuditTrail(SelectGetPatientAuditTrailType patientAuditTrail)
                                                      throws TechnicalConnectorException,
                                                             IntraHubBusinessConnectorException

  This operation should be used to get the list of transaction accesses for a given patient.

  Specified by:
    `getPatientAuditTrail` in interface `HubServiceComplete`
  Parameters:
    `patientAuditTrail` - Contains the search parameters for the audit trail.
  Returns:
    `GetPatientAuditTrailResponse` the WS response object
  Throws:
    `SessionManagementException`
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSNURSE 3.27.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.